## json-spirit 4.04

=== json_test/CMakeLists.txt ===
SET(JSON_TEST_SRCS
json_spirit_reader_test.cpp
json_spirit_stream_reader_test.cpp
json_spirit_utils_test.cpp
json_spirit_value_test.cpp
json_spirit_writer_test.cpp
json_test.cpp
utils_test.cpp)

FIND_PACKAGE(Boost 1.34 REQUIRED)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

ADD_EXECUTABLE(json_test ${JSON_TEST_SRCS})
TARGET_LINK_LIBRARIES(json_test json_spirit)

=== debian/changelog ===
json-spirit (4.04-1) unstable; urgency=low

  * New upstream release.
  * Depend (not only build-depend) on libboost-dev.
    Closes: bug#627875. Thanks to Ian Bruce.
  * Drop patch 1000: Applied upstream.
  * Extend copyright years of packaging.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Extend copyright years.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 May 2011 09:37:40 +0200

json-spirit (4.03-2) unstable; urgency=low

  * Add patch 1000 to install errors header.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Dec 2010 16:02:56 +0100

json-spirit (4.03-1) unstable; urgency=low

  * Initial release.
    Closes: bug#606943.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Dec 2010 14:04:30 +0100

=== debian/control ===
Source: json-spirit
Section: libdevel
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 libboost-dev,
 cmake
Standards-Version: 3.9.2
Homepage: http://www.codeproject.com/KB/recipes/JSON_Spirit.aspx
Vcs-Git: git://git.debian.org/git/collab-maint/json-spirit
Vcs-Browser: http://git.debian.org/?p=collab-maint/json-spirit.git

Package: libjson-spirit-dev
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Description: C++ JSON Parser/Generator implemented with Boost Spirit
 JSON is a text file format similar to XML, but less verbose. It has
 been called "XML lite".
 .
 JSON Spirit is a C++ library that reads and writes JSON files or
 streams. It is written using the Boost Spirit parser generator. If you
 are already using Boost, you can use JSON Spirit without any additional
 dependencies.
 .
 Key features:
  * supports ASCII or Unicode
  * std::vector or std::map implementations for JSON Objects
  * object library or header file only use

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010, 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for JSON Spirit
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# Suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

# Needed both by upstream build process and at runtime
common-depends = libboost-dev

CDBS_BUILD_DEPENDS += , $(common-depends), cmake
CDBS_DEPENDS_ALL = $(common-depends)

DEB_UPSTREAM_URL = http://www.codeproject.com/KB/recipes/JSON_Spirit
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-/_/g;s/_(?=\d)/_v/
DEB_UPSTREAM_TARBALL_EXTENSION = zip
DEB_UPSTREAM_TARBALL_SRCDIR = .

DEB_UPSTREAM_TARBALL_MD5 = 0729870198528a28c21c5ee588d032a4

DEB_INSTALL_EXAMPLES = json_*demo/*.cpp

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.codeproject.com/KB/recipes/JSON_Spirit.aspx JSON_Spirit/json_spirit_v(\d.*)\.zip debian

## json-spirit 4.05

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(json_spirit)
SUBDIRS(json_spirit json_demo json_headers_only_demo json_map_demo json_test)
INCLUDE_DIRECTORIES(json_spirit)

INSTALL(
  FILES
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit.h
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit_error_position.h
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit_reader.h
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit_reader_template.h
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit_stream_reader.h
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit_utils.h
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit_value.h
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit_writer.h
  ${CMAKE_SOURCE_DIR}/json_spirit/json_spirit_writer_template.h
  DESTINATION include)

INSTALL(
  FILES
  ${CMAKE_BINARY_DIR}/json_spirit/libjson_spirit.a
  DESTINATION lib)

INCLUDE(CPack)

=== json_map_demo/CMakeLists.txt ===
SET(JSON_MAP_DEMO_SRCS
json_map_demo.cpp)

FIND_PACKAGE(Boost 1.34 REQUIRED)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

ADD_EXECUTABLE(json_map_demo ${JSON_MAP_DEMO_SRCS})
TARGET_LINK_LIBRARIES(json_map_demo json_spirit)

=== json_spirit/CMakeLists.txt ===
SET(JSON_SPIRIT_SRCS
json_spirit_reader.cpp json_spirit_reader.h
json_spirit_value.cpp json_spirit_value.h
json_spirit_writer.cpp json_spirit_writer.h
json_spirit.h
json_spirit_error_position.h
json_spirit_reader_template.h
json_spirit_stream_reader.h
json_spirit_utils.h
json_spirit_writer_options.h
json_spirit_writer_template.h )
 
FIND_PACKAGE(Boost 1.34 REQUIRED)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

ADD_LIBRARY(json_spirit STATIC ${JSON_SPIRIT_SRCS})

=== debian/changelog ===
json-spirit (4.05-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Add missing json_spirit_writer_options.h to package (Closes: #705045)

 -- Hilko Bengen <bengen@debian.org>  Fri, 06 Dec 2013 10:38:00 +0100

json-spirit (4.05-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Bump debhelper compatibility level to 8.
  * Update copyright file:
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + Quote license in comment (pseudo-)field.
    + Add explicit wildcard declaration for initial Files section.
    + Bump file format to 1.0.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.
  * Bump standards-version to 3.9.4.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Feb 2013 13:51:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- debhelper (>= 6),
+ debhelper,
  dh-buildinfo,
  libboost-dev,
  cmake
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.codeproject.com/KB/recipes/JSON_Spirit.aspx
 Vcs-Git: git://git.debian.org/git/collab-maint/json-spirit
 Vcs-Browser: http://git.debian.org/?p=collab-maint/json-spirit.git

=== debian/rules ===
--- 
+++ 
@@ -32,10 +32,9 @@
 CDBS_DEPENDS_ALL = $(common-depends)
 
 DEB_UPSTREAM_URL = http://www.codeproject.com/KB/recipes/JSON_Spirit
-DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-/_/g;s/_(?=\d)/_v/
+DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-/_/g;s/_(?=\d)/_v/;s/\.(?=\d)/_/
 DEB_UPSTREAM_TARBALL_EXTENSION = zip
-DEB_UPSTREAM_TARBALL_SRCDIR = .
-
-DEB_UPSTREAM_TARBALL_MD5 = 0729870198528a28c21c5ee588d032a4
+DEB_UPSTREAM_TARBALL_SRCDIR = json_spirit_v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_MD5 = 8ff580be051cf67d151fa50b3a171572
 
 DEB_INSTALL_EXAMPLES = json_*demo/*.cpp

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=uversionmangle=s/_/./ \
 http://www.codeproject.com/KB/recipes/JSON_Spirit.aspx .*/JSON_Spirit/json_spirit_v(\d.*)\.zip debian
